OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
RPMDUpdater Class Referenceabstract

This ForceImpl subclass is for forces specifically designed to work with RPMDIntegrator. More...

`#include <RPMDUpdater.h>`

Inheritance diagram for RPMDUpdater:

## Public Member Functions
virtual void | updateRPMDState (ContextImpl &context)=0

## Detailed Description

This ForceImpl subclass is for forces specifically designed to work with RPMDIntegrator.

It adds an updateRPMDState() method that is invoked at the start of each time step (in contrast to updateContextState(), which gets invoked many times per time step, once for each copy).

## Member Function Documentation

virtual void updateRPMDState | ( | ContextImpl & | context | ) |
| pure virtual

The documentation for this class was generated from the following file:

- RPMDUpdater.h